## 26da48113931fdd210441c07ae55176cb4d71808

=== libibcm/CMakeLists.txt ===
publish_headers(infiniband
  cm.h
  cm_abi.h
  )

rdma_library(ibcm libibcm.map
  # See Documentation/versioning.md
  1 1.0.${PACKAGE_VERSION}
  cm.c
  )
target_link_libraries(ibcm LINK_PUBLIC ibverbs)

=== librdmacm/examples/CMakeLists.txt ===
# Shared example files
add_library(rdmacm_tools STATIC
  common.c
  )

rdma_executable(cmtime cmtime.c)
target_link_libraries(cmtime LINK_PRIVATE rdmacm ${CMAKE_THREAD_LIBS_INIT} rdmacm_tools)

rdma_executable(mckey mckey.c)
target_link_libraries(mckey LINK_PRIVATE rdmacm ${CMAKE_THREAD_LIBS_INIT})

rdma_executable(rcopy rcopy.c)
target_link_libraries(rcopy LINK_PRIVATE rdmacm)

rdma_executable(rdma_client rdma_client.c)
target_link_libraries(rdma_client LINK_PRIVATE rdmacm)

rdma_executable(rdma_server rdma_server.c)
target_link_libraries(rdma_server LINK_PRIVATE rdmacm)

rdma_executable(rdma_xclient rdma_xclient.c)
target_link_libraries(rdma_xclient LINK_PRIVATE rdmacm)

rdma_executable(rdma_xserver rdma_xserver.c)
target_link_libraries(rdma_xserver LINK_PRIVATE rdmacm)

rdma_executable(riostream riostream.c)
target_link_libraries(riostream LINK_PRIVATE rdmacm rdmacm_tools)

rdma_executable(rping rping.c)
target_link_libraries(rping LINK_PRIVATE rdmacm ${CMAKE_THREAD_LIBS_INIT})

rdma_executable(rstream rstream.c)
target_link_libraries(rstream LINK_PRIVATE rdmacm rdmacm_tools)

rdma_executable(ucmatose cmatose.c)
target_link_libraries(ucmatose LINK_PRIVATE rdmacm rdmacm_tools)

rdma_executable(udaddy udaddy.c)
target_link_libraries(udaddy LINK_PRIVATE rdmacm rdmacm_tools)

rdma_executable(udpong udpong.c)
target_link_libraries(udpong LINK_PRIVATE rdmacm rdmacm_tools)

=== debian/changelog ===
rdma-core (15-1) unstable; urgency=low

  * New version.
  * Adding debian/copyright.
  * Close ITP (Closes: #848971).

 -- Jason Gunthorpe <jgg@obsidianresearch.com>  Mon, 12 Sep 2016 13:44:24 -0600

=== debian/control ===
Source: rdma-core
Maintainer: Linux RDMA Mailing List <linux-rdma@vger.kernel.org>
Uploaders: Benjamin Drung <benjamin.drung@profitbricks.com>,
           Talat Batheesh <talatb@mellanox.com>
Section: net
Priority: optional
Build-Depends: cmake (>= 2.8.11),
               debhelper (>= 9),
               dh-systemd,
               dpkg-dev (>= 1.17),
               libnl-3-dev,
               libnl-route-3-dev,
               libsystemd-dev,
               libudev-dev,
               ninja-build,
               pkg-config,
               python,
               valgrind
Standards-Version: 4.1.0
Vcs-Git: https://github.com/linux-rdma/rdma-core.git
Vcs-Browser: https://github.com/linux-rdma/rdma-core
Homepage: https://github.com/linux-rdma/rdma-core

Package: rdma-core
Architecture: linux-any
Depends: lsb-base (>= 3.2-14~), ${misc:Depends}, ${shlibs:Depends}
Recommends: dmidecode, ethtool, net-tools
Breaks: infiniband-diags (<< 2.0.0)
Replaces: infiniband-diags (<< 2.0.0)
Description: RDMA core userspace infrastructure and documentation
 This package provides the basic boot time support for systems that use the
 Linux kernel's remote direct memory access (RDMA) subystem which includes
 InfiniBand, iWARP, and RDMA over Converged Ethernet (RoCE).
 .
 Several kernel RDMA support daemons are included:
  - The rdma-ndd daemon which watches for RDMA device changes and/or hostname
    changes and updates the Node Description of the RDMA devices based on
    those changes.
  - The iWARP Port Mapper Daemon (iwpmd) which provides a kernel support
    service in userspace for iWARP drivers to claim TCP ports through the
    standard socket interface.

Package: ibacm
Architecture: any
Depends: lsb-base (>= 3.2-14~),
         rdma-core (>= 15),
         ${misc:Depends},
         ${shlibs:Depends}
Description: InfiniBand Communication Manager Assistant (ACM)
 The IB ACM implements and provides a framework for name, address, and
 route (path) resolution services over InfiniBand.
 It is intended to address connection setup scalability issues running
 MPI applications on large clusters.  The IB ACM provides information
 needed to establish a connection, but does not implement the CM protocol.
 A primary user of the ibacm service is the librdmacm library.

Package: ibverbs-providers
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Provides: libcxgb3-1, libipathverbs1, libmlx4-1, libmlx5-1, libmthca1, libnes1
Replaces: libcxgb3-1, libipathverbs1, libmlx4-1, libmlx5-1, libmthca1, libnes1
Breaks: libcxgb3-1, libipathverbs1, libmlx4-1, libmlx5-1, libmthca1, libnes1
Description: User space provider drivers for libibverbs
 libibverbs is a library that allows userspace processes to use RDMA
 "verbs" as described in the InfiniBand Architecture Specification and
 the RDMA Protocol Verbs Specification.  iWARP ethernet NICs support
 RDMA over hardware-offloaded TCP/IP, while InfiniBand is a
 high-throughput, low-latency networking technology.  InfiniBand host
 channel adapters (HCAs) and iWARP NICs commonly support direct
 hardware access from userspace (kernel bypass), and libibverbs
 supports this when available.
 .
 A RDMA driver consists of a kernel portion and a user space portion.
 This package contains the user space verbs drivers:
 .
  - bnxt_re: Broadcom NetXtreme-E RoCE HCAs
  - cxgb3: Chelsio T3 iWARP HCAs
  - cxgb4: Chelsio T4 iWARP HCAs
  - hfi1verbs: Intel Omni-Path HFI
  - hns: HiSilicon Hip06 SoC
  - i40iw: Intel Ethernet Connection X722 RDMA
  - ipathverbs: QLogic InfiniPath HCAs
  - mlx4: Mellanox ConnectX-3 InfiniBand HCAs
  - mlx5: Mellanox Connect-IB/X-4+ InfiniBand HCAs
  - mthca: Mellanox InfiniBand HCAs
  - nes: Intel NetEffect NE020-based iWARP adapters
  - ocrdma: Emulex OneConnect RDMA/RoCE device
  - qedr: QLogic QL4xxx RoCE HCAs
  - rxe: A software implementation of the RoCE protocol
  - vmw_pvrdma: VMware paravirtual RDMA device

Package: ibverbs-utils
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Examples for the libibverbs library
 libibverbs is a library that allows userspace processes to use RDMA
 "verbs" as described in the InfiniBand Architecture Specification and
 the RDMA Protocol Verbs Specification.  iWARP ethernet NICs support
 RDMA over hardware-offloaded TCP/IP, while InfiniBand is a
 high-throughput, low-latency networking technology.  InfiniBand host
 channel adapters (HCAs) and iWARP NICs commonly support direct
 hardware access from userspace (kernel bypass), and libibverbs
 supports this when available.
 .
 This package contains useful libibverbs1 example programs such as
 ibv_devinfo, which displays information about InfiniBand devices.

Package: libibverbs-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ibverbs-providers (= ${binary:Version}),
         libibverbs1 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for the libibverbs library
 libibverbs is a library that allows userspace processes to use RDMA
 "verbs" as described in the InfiniBand Architecture Specification and
 the RDMA Protocol Verbs Specification.  iWARP ethernet NICs support
 RDMA over hardware-offloaded TCP/IP, while InfiniBand is a
 high-throughput, low-latency networking technology.  InfiniBand host
 channel adapters (HCAs) and iWARP NICs commonly support direct
 hardware access from userspace (kernel bypass), and libibverbs
 supports this when available.
 .
 This package is needed to compile programs against libibverbs1.
 It contains the header files and static libraries (optionally)
 needed for compiling.

Package: libibverbs1
Architecture: linux-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
Recommends: ibverbs-providers
Breaks: ibverbs-providers (<< 14)
Description: Library for direct userspace use of RDMA (InfiniBand/iWARP)
 libibverbs is a library that allows userspace processes to use RDMA
 "verbs" as described in the InfiniBand Architecture Specification and
 the RDMA Protocol Verbs Specification.  iWARP ethernet NICs support
 RDMA over hardware-offloaded TCP/IP, while InfiniBand is a
 high-throughput, low-latency networking technology.  InfiniBand host
 channel adapters (HCAs) and iWARP NICs commonly support direct
 hardware access from userspace (kernel bypass), and libibverbs
 supports this when available.
 .
 For this library to be useful, a device-specific plug-in module
 should also be installed.
 .
 This package contains the shared library.

Package: libibverbs1-dbg
Section: debug
Priority: extra
Architecture: linux-any
Multi-Arch: same
Depends: libibverbs1 (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the libibverbs library
 libibverbs is a library that allows userspace processes to use RDMA
 "verbs" as described in the InfiniBand Architecture Specification and
 the RDMA Protocol Verbs Specification.  iWARP ethernet NICs support
 RDMA over hardware-offloaded TCP/IP, while InfiniBand is a
 high-throughput, low-latency networking technology.  InfiniBand host
 channel adapters (HCAs) and iWARP NICs commonly support direct
 hardware access from userspace (kernel bypass), and libibverbs
 supports this when available.
 .
 This package contains the debug symbols associated with
 libibverbs1. They will automatically be used by gdb for debugging
 libibverbs-related issues.

Package: libibcm-dev
Section: libdevel
Architecture: linux-any
Depends: libibcm1 (= ${binary:Version}), libibverbs-dev, ${misc:Depends}
Description: Development files for the libibcm library
 libibcm provides a userspace implementation of an InfiniBand
 Communication Manager (CM). The CM handles both connection
 establishment as well as service ID resolution.
 .
 This package is needed to compile programs against libibcm1.
 It contains the header files and static libraries (optionally)
 needed for compiling.

Package: libibcm1
Architecture: linux-any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: InfiniBand Communication Manager (CM) library
 libibcm provides a userspace implementation of an InfiniBand
 Communication Manager (CM). The CM handles both connection
 establishment as well as service ID resolution.
 .
 This package contains the shared library.

Package: libibcm1-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends: libibcm1 (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the libibcm1 library
 libibcm provides a userspace implementation of an InfiniBand
 Communication Manager (CM). The CM handles both connection
 establishment as well as service ID resolution.
 .
 This package contains the debug symbols associated with
 libibcm1. They will automatically be used by gdb for debugging
 libibcm-related issues.

Package: libibumad-dev
Section: libdevel
Architecture: linux-any
Depends: libibumad3 (= ${binary:Version}), ${misc:Depends}
Description: Development files for libibumad
 libibumad provides userspace Infiniband Management Datagram (uMAD)
 functions which sit on top of the uMAD modules in the kernel.
 These are used by InfiniBand diagnostic and management tools.
 .
 This package is needed to compile programs against libibumad.
 It contains the header files and static libraries (optionally)
 needed for compiling.

Package: libibumad3
Architecture: linux-any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: InfiniBand Userspace Management Datagram (uMAD) library
 libibumad provides userspace Infiniband Management Datagram (uMAD)
 functions which sit on top of the uMAD modules in the kernel.
 These are used by InfiniBand diagnostic and management tools.
 .
 This package contains the shared library.

Package: libibumad3-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends: libibumad3 (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the libibumad3 library
 libibumad provides userspace Infiniband Management Datagram (uMAD)
 functions which sit on top of the uMAD modules in the kernel.
 These are used by InfiniBand diagnostic and management tools.
 .
 This package contains the debug symbols associated with
 libibumad3. They will automatically be used by gdb for debugging
 libibumad-related issues.

Package: librdmacm-dev
Section: libdevel
Architecture: linux-any
Depends: libibverbs-dev, librdmacm1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the librdmacm library
 librdmacm is a library that allows applications to set up reliable
 connected and unreliable datagram transfers when using RDMA adapters.
 It provides a transport-neutral interface in the sense that the same
 code can be used for both InfiniBand and iWARP adapters.  The
 interface is based on sockets, but adapted for queue pair (QP) based
 semantics: communication must use a specific RDMA device, and data
 transfers are message-based.
 .
 librdmacm only provides communication management (connection setup
 and tear-down) and works in conjunction with the verbs interface
 provided by libibverbs, which provides the interface used to actually
 transfer data.
 .
 This package is needed to compile programs against librdmacm1.
 It contains the header files and static libraries (optionally)
 needed for compiling.

Package: librdmacm1
Architecture: linux-any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library for managing RDMA connections
 librdmacm is a library that allows applications to set up reliable
 connected and unreliable datagram transfers when using RDMA adapters.
 It provides a transport-neutral interface in the sense that the same
 code can be used for both InfiniBand and iWARP adapters.  The
 interface is based on sockets, but adapted for queue pair (QP) based
 semantics: communication must use a specific RDMA device, and data
 transfers are message-based.
 .
